Worker
Worker::getCreatorId
Worker
PHP Manual

# Worker::chunk

(PECL pthreads >= 0.45)

Worker::chunk — Manipulation

### Description

final public boolean Worker::chunk ( long `$size` , boolean `$preserve` )

Fetches a chunk of the objects member table of the given size, optionally preserving keys

### Parameters

`size`

  The number of items to fetch

`preserve`

  Preserve the keys of members, by default false

### Return Values

An array of items from the objects member table

Worker
Worker::getCreatorId
Worker
PHP Manual